## Apache Zeta Components Manual :: Docs For Class ezcWebdavBackendMakeCollection

### Webdav::ezcWebdavBackendMakeCollection

### Interface ezcWebdavBackendMakeCollection

Interface implemented by backends which support the MKCOL operation.

If a backend supports the MKCOL request method, it must implement this interface.

Source for this file: /Webdav/src/interfaces/backend/make_collection.php

Version: | //autogentag//

### Method Summary

public ezcWebdavResponse | `makeCollection( $request )` Serves MKCOL (make collection) requests.

### Methods

#### makeCollection

ezcWebdavResponse makeCollection( ezcWebdavMakeCollectionRequest $request )

Serves MKCOL (make collection) requests.

The method receives a ezcWebdavMakeCollectionRequest objects containing all relevant information obout the clients request and will return an instance of ezcWebdavErrorResponse on error or ezcWebdavMakeCollectionResponse on success.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$request` | ezcWebdavMakeCollectionRequest |

Documentation generated by phpDocumentor 1.4.3